package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author: liujh
 * @Date: 2021/12/25/10:20
 * @Description: 个人中心违规列表result vo
 */
public class LabViolationPageListVO {

    private Long userId;

    private Long violationId;

    private String remake;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

   private List<ViolationInfoVO> violationList = new ArrayList<>();

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<ViolationInfoVO> getViolationList() {
        return violationList;
    }

    public void setViolationList(List<ViolationInfoVO> violationList) {
        this.violationList = violationList;
    }

    public Long getViolationId() {
        return violationId;
    }

    public void setViolationId(Long violationId) {
        this.violationId = violationId;
    }

    public  class ViolationInfoVO{

       private Integer status;

       private String content;

       private Integer type;

       public Integer getStatus() {
           return status;
       }

       public void setStatus(Integer status) {
           this.status = status;
       }

       public String getContent() {
           return content;
       }

       public void setContent(String content) {
           this.content = content;
       }

       public Integer getType() {
           return type;
       }

       public void setType(Integer type) {
           this.type = type;
       }
   }
}
